Bug 1774428 - Live image migration command "Abort" is not working as expected
Summary: Live image migration command "Abort" is not working as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2
Assignee: Jason Dillaman
QA Contact: Gopi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-20 09:54 UTC by Gopi
Modified: 2021-01-12 14:56 UTC (History)
5 users (show)

Fixed In Version: ceph-14.2.11-22.el8cp, ceph-14.2.11-22.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-12 14:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 41394 0 None None None 2020-08-04 20:46:55 UTC
Github ceph ceph pull 36471 0 None closed librbd: using migration abort can result in the loss of data 2021-01-05 22:19:19 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:15 UTC

Description Gopi 2019-11-20 09:54:30 UTC
Description of problem:
Live image migration command "Abort" is not working as expected. when i use abort option i am getting the below message.

[root@magna027 ~]# rbd migration abort libvirt-pool/librbd --cluster site-a
2019-11-18 10:00:37.966 7f8f21ffb700 -1 librbd::image::PreRemoveRequest: 0x55935d187080 handle_exclusive_lock: cannot obtain exclusive lock - not removing
2019-11-18 10:00:37.999 7f8f3d4b0040 -1 librbd::Migration: abort: failed removing destination image 'libvirt-pool/librbd (af59a0e341ed)': (16) Device or resource busy
Abort image migration: 100% complete...done.
[root@magna027 ~]#

Version-Release number of selected component (if applicable):
ceph-mon-14.2.4-59.el8cp.x86_64
ceph-common-14.2.4-59.el8cp.x86_64
ceph-ansible-4.0.4-1.el8cp.noarch


How reproducible:
always.

Steps to Reproduce:
1. Deploy a cluster with 4.0 on rhel8.1
2. Create two rbd pools and one image in first pool.
3. Prepare rbd migration  from source pool to destination pool
4. Start IO on image which was moved from source to destination.
5. start migration using "rbd migration execute migration_target" command while IO is in progress.
6. Abort migration using "rbd migration abort migration_target" command while IO is in progress.

Actual results:
Image is not removed from target and moved to source as well.
[root@magna027 ~]# rbd migration abort libvirt-pool/librbd --cluster site-a
2019-11-18 10:00:37.966 7f8f21ffb700 -1 librbd::image::PreRemoveRequest: 0x55935d187080 handle_exclusive_lock: cannot obtain exclusive lock - not removing
2019-11-18 10:00:37.999 7f8f3d4b0040 -1 librbd::Migration: abort: failed removing destination image 'libvirt-pool/librbd (af59a0e341ed)': (16) Device or resource busy
Abort image migration: 100% complete...done.
[root@magna027 ~]#

Expected results:
Aborting the migration should remove the cross-links between the source and target images, and should remove the target image. 


Additional info:
Stopped running IO and tried abort the image which is worked as expected.

Comment 1 Yaniv Kaul 2020-04-22 14:23:31 UTC
Can we assign an engineer to triage this? Moving along 4.x is not the right way to get this into a release - it should be targeted to 5.0 first.

Comment 9 Gopi 2020-10-15 03:17:14 UTC
Tested the bug on latest build and it's working as expected. Hence moving the bug into verified state.

Comment 11 errata-xmlrpc 2021-01-12 14:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.